Skip to main content
GET
/
accounts
/
{account_guid}
/
monthly_account_balance
List account balances by month
curl --request GET \
  --url https://int-data.moneydesktop.com/accounts/{account_guid}/monthly_account_balance \
  --header 'MD-SESSION-TOKEN: <api-key>'
{
  "monthly_account_balances": [
    {
      "account_guid": "ACT-f39a0c33-289a-2832-c2d4-b72f41367f3f",
      "balance": 2091.11,
      "month": 2,
      "transaction_total": 62.93,
      "user_guid": "USR-c93f457a-2a87-b0d2-6b1b-c1b62073fabf",
      "year": 2016
    }
  ]
}

Authorizations

MD-SESSION-TOKEN
string
header
required

MX Session Token

  • Request an API token using the read API token endpoint in the MX SSO API.
  • Exchange an API token for a session token.
    • A session token is obtained by sending a POST request to /sessions
    • The session token will be used in each request made for the user. It should be passed in an MD-SESSION-TOKEN HTTP header as shown below.
    • This session token is valid for 30 minutes from the time it was created. The 30 minute expiration counter is refreshed with each call.
    • If you send a request with an expired session token you'll receive an error code of 4011.
curl -i https://int-data.moneydesktop.com/accounts \
-H 'MD-SESSION-TOKEN: CWforZl1Vn2vC_v6H4rnQRT1DoWpDouJAV-_5TBmiQRAtA8rsOG_BoajTiOSsL0A3bd-bmHXlA-eQzc9ywItKg' \
-H 'Content-Type: application/vnd.mx.nexus.v1+json' \
-H 'Accept: application/vnd.mx.nexus.v1+json'

In documentation code examples, replace <API_KEY_VALUE> with the session token.

Path Parameters

account_guid
string
required

The unique identifier for the account. Defined by MX

Query Parameters

from_date
string

Return transactions starting from this day, based on the transaction date. Defaults to 120 days ago if not provided. Format should be ISO 8601 format (2013-05-28).

to_date
string

Return transactions ending with this day, based on the transaction date. Defaults to 5 days forward from the day the request is made so as to capture pending transactions. Format should be ISO 8601 format (2013-05-28).

Response

200 - application/vnd.mx.nexus.v1+json

OK

monthly_account_balances
object[]